<?php

use Phinx\Migration\AbstractMigration;

class InsertChequeCadeau extends AbstractMigration
{
    public function up()
    {
        $cheque_cadeau_statut = array(
            array('cheque_cadeau_statut_id' => '0','cheque_cadeau_statut_nom' => 'Utilisé'),
            array('cheque_cadeau_statut_id' => '1','cheque_cadeau_statut_nom' => 'Valide')
        );

        $this
            ->table('cheque_cadeau_statut')
            ->insert($cheque_cadeau_statut)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('cheque_cadeau_statut')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
