{extends file='layout/layout.tpl'}
{block name="content"}
    <div class="main ConfirmCommande">

        <div class="row">

            {Breadcrumb::getInstance()->render()}

            <div id="ct_process">

                {if isset($error)}
                    <h1 class="txt-40 bold serif italic txt-gold">{txt value="Votre commande n'a pas été enregistrée"}</h1>
                {elseif !empty($commande)}
                    <h1 class="txt-40 bold serif italic txt-gold">{txt value="Votre commande a été enregistrée"} : n°{$commande.commande_id}</h1>
                    <br /><br />
                    <div id="ct_coordonnees">
                        {$txt.txt_cmd_enregistree}

                        <a class="btn btn-primary" href="{url page='bon_commande'}?commande_id={$commande.commande_id}&client_id={$commande.client_id}">
                            Imprimer
                        </a>
                    </div>
                {elseif !empty($paiement_complement)}
                    <h1 class="txt-40 bold serif italic txt-gold">{txt value="Votre paiement a été enregistré"}</h1>
                    <br /><br />
                    <div id="ct_coordonnees">
                        {* TODO *}
                    </div>
                {/if}

            </div>

        </div>

        {render controller="Controller\FooterController" action="reinsurance"}

    </div>
{/block}

{block name="script-js"}
    {if empty($commande) && !isset($error)}
        <script type="text/javascript" src="/dedi/js/order.js"></script>
        {literal}
            <script>
                var order = new Order();
                jQuery(document).ready(function () {
                    setInterval(function(){order.checkIfOrderIsCreated('/order_exist.html', '/payment_success.html')}, 1000);
                    setTimeout(function(){location.href = '/paiement_error.html';}, 60000);
                });
            </script>
        {/literal}
    {/if}
{/block}
